#ifndef SERIAL_PORT_THREAD_H_INCLUDED
#define SERIAL_PORT_THREAD_H_INCLUDED

#include <QThread>
#include <QString>
#include <QEventLoop>

class SerialPortThread : public QThread {
    Q_OBJECT

    QEventLoop m_loop;
public:
    SerialPortThread(QObject *parent = nullptr);
    virtual ~SerialPortThread();

    virtual void run() override;

    QEventLoop &getEventLoop() { return m_loop; }
};


#endif // SERIAL_PORT_THREAD_H_INCLUDED
